% This program fills an downward pointing arrow head matrix
%
% programmer: C. Vuik, TU Delft, The Netherlands
% e-mail    : c.vuik@tudelft.nl
% date      : 02-02-2023
% course    : Computational Fluid Dynamics II
%             a PhD course from the JM Burgerscentrum
%

clear a f
disp(' ')
disp(' ')
disp('This program is used to fill the matrix and righthandside')
disp(' ')
disp('This is arrow head matrix pointing downwards')
disp(' ')
m = input(' The dimension of the matrix ');
disp(' ')
disp(' ')
h = 1/(m+1);
for i = 1:m
   a(m,i) = h;
   a(i,m) = h;
   f(i,1) = 1;
end
for i = 1:m
   a(i,i) = 4;
end
