% This function is used to count the nonzero elements of a matrix
%
% count=plotrow(u,j,n1);
%
% programmer: C. Vuik, TU Delft, The Netherlands
% e-mail    : c.vuik@tudelft.nl
% date      : 02-02-2023
% course    : Computational Fluid Dynamics II
%             a PhD course from the JM Burgerscentrum
%

function count=plotrow(u,j,n1)
hold off
count = n1;
plot(u(j,j:j+n1))
