% This function is used to add some small random numbers to a given
% matrix.
%
% l=random(a,reps);
%
% programmer: C. Vuik, TU Delft, The Netherlands
% e-mail    : c.vuik@tudelft.nl
% date      : 02-02-2023
% course    : Computational Fluid Dynamics II
%             a PhD course from the JM Burgerscentrum
%

function l=random(a,reps);
clear l n m
[n,m] = size(a);
for i = 1:n
   for j = 1:n
      l(i,j) = a(i,j)*(1+reps*(1-2*rand));
   end
end
